<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>Free-Vote: Preguntas Mas Frecuentes</title>
</head>
<body>
<? require('tools.php3'); ?>

<body>
<h1>Respuestas a las Preguntas Ms Frecuentes (FAQ)</h1>
<dl>
<dt> <h3>Sobre el programa</h3>
<dd> <ul>
	<li> <b>Por qu Free-Vote?</b>
	<p>
		Por varios motivos:
		<ul>
		<li> Hasta ahora, en software libre slo existan sistemas de consulta, no de votacin
		<li> Est basado enteramente en HTML 3.0, sin javascript, cookies, SSL, etc, siendo totalmente transparente al navegador
		<li> Al contrario que otros sistemas de consulta, es totalmente configurable
		<li> Porque es GPL
		<li> Porque estaba estudiando Bases de Datos y quera hacer algo constructivo... :-)
		</ul>
	</p>
	<li> <b>Quin puede organizar una encuesta?</b>
	<p> En principio cualquiera. Lo que pasa es que quien las d de alta
	en el sistema es el administrador...
	</p>
	<li> <b>Qu necesito para montar mi propio sistema de voto?</b>
	<p>
	Necesitas un servidor Apache, con soporte de PHP-3.0 y PostgreSQL; y
	por supuesto, bajarte los fuentes, personalizarlos e  instalarlos...
	</p>
	<li> <b>Es necesario ser <i>root</i> para administrar Free-Vote?</b>
	<p>
	En principio no, pero...
	<ul>
	<li> Tu sistema de bases de datos debe permitirte crear databases y asignar permisos a usuarios<br>
	<li> El servidor Apache debe permitirte ejecutar scripts PHP en tu directorio public_html... esto puede ser un problema de seguridad :(
	</ul>
	</p>
	<li> <b>Por qu PostGreSQL?</b>
	<p>
	Porque es la que conozco, la que ms me gusta, porque tiene "foreign keys", porque se maneja bien cuando la database crece.... realmente la nica razn es la costumbre... Nada impide modificar los fuentes para usar cualquier otra DB, o incluso, mediante <i>phplib</i> usar acceso "RDBMS-independent"...
	</p>
     </ul>
<dt> <h3>Sobre cmo votar</h3>

<dd>	<ul>
	<li> <b>Tengo que registrarme cada vez que quiera votar?</b>
	<p>
	NO: La inscripcin se realiza una sola vez. Lo que s tienes que hacer
	cada vez que quieras votar es recoger tu <i>Tarjeta de Voto</i>. Esta
	tarjeta es nica por cada usuario y cada convocatoria, y contiene las
	claves de autentificacin del voto y del usuario
	</p>
	<li> <b>Y no sera ms sencillo usar cookies?</b>
	<p>
	Posiblemente s, pero no todos los navegadores soportan cookies, y 
	adems, algunos mal llamados "sistemas operativos" no tienen ningn
	tipo de control sobre el acceso. Por otro lado, el uso de cookies
	no garantiza unicidad de voto (basta con cambiarse de ordenador...) 
	</p>
	<li> <b>Por qu usar el correo para recibir la tarjeta de voto en
	lugar de recibirla desde el web?</b>
	<p>
	Primero por flexibilidad: no tienen por qu coincidir las fechas de
	inscripcin con las de votacin. Segundo y sobre todo por seguridad:
	para obtener la tarjeta de voto hace falta slo la direccin de correo 
	y el nmero de identificacin. El primer dato es pblico; el segundo 
	no es necesariamente secreto... al mandar la tarjeta de voto por correo
	en teora slo la puede recibir el remitente. Adems, esto permite 
	aadir en un futuro nuevas funcionalidades (PGP, etc, etc), as como
	poder realizar todo el software con HTML-3.0, sin necesidad de
	javascript, https, cookies, etc, etc. Compatibilidad ante todo
	</p>
	<li> <b>Para qu sirven los foros de debate?</b>
	<p>
	Para que los participantes en una votacin puedan si lo desean
	enviar comentarios a los dems, o matizar aspectos especficos de 
	la votacin. No es un foro de noticias, al estilo de <i>SlashDot</i>
	o <i>BarraPunto</i>, sino que sirven de apoyo a una votacin
	</p>
	<li> <b>Cmo funcionan los foros de debate?</b>
	<p>
	Muy sencillo: selecciona en el men "Foros de debate", y dentro de 
	stos, selecciona la consulta que desees. Para participar en el
	foro, debers identificarte en el sistema. Una vez abierto el foro,
	puedes leer los comentarios y mensajes de los dems participantes, y
	a tu vez, contestar a dichos mensajes o enviar mensajes nuevos
	</p>
	</ul>

<dt> <h3>Sobre seguridad y control</h3>

<dd> 	<ul>
	<li> <b>Cmo puedo saber que el voto es realmente nico y secreto?</b><p>
	No puedes. Te tienes que fiar del administrador... Existe un grupo de
	voluntarios que, sin previo aviso y por sorpresa, visitan el servidor, 
        y comprueban que las pginas son idnticas a los fuentes publicados.
	Pero eso no garantiza que no estn sobornados... ;-)<br>
	Est en estudio un sistema de signado de cdigo, de manera que un
	tercero pueda firmar los fuentes, y solicitar remotamente su firma
	digital de integridad... si te animas a hacerlo, bienvenido
	</p>
	<li> <b>Por qu se piden tantos datos en la ficha de inscripcin?</b><p>
	Para garantizar unicidad voto-usuario, y evitar en la medida de lo
	posible bromas pesadas. Realmente el nico dato de inters para el 
	sistema es la direccin de correo...	
	</p>
	<li> <b>Quiero actualizar mis datos personales....</b>
	<p>
	Entra en la seccin <? echo "<a href=\"".get_url("SECUREURL")."/personal.php3\">"; ?> Datos personales</a> 
y haz click donde pone <i>"Consultar, modificar"</i>. Si lo que quieres es cambiar nombre y apellidos, contacta va <? printf("<a href=\"mailto:%s?Subject=[Free-Vote] Cambio de datos personales\">",$ADMIN_EMAIL); ?>e-mail</a>
	</p>
	<li> <b>Quiero cambiar los privilegios de mi cuenta....</b>
	<p>
	Por defecto, Se le asigna a los usuarios privilegios de nivel 1 (derecho a voto). Para cambiar de nivel, debes solicitarlo al administrador del sistema. Consulta en la documentacin los diversos niveles de privilegio y los derechos que corresponden a cada uno
	</p>
	<li> <b>Cmo puedo recuperar mi contrasea?</b>
	<p>
	No puedes. La Ley obliga a que las contraseas se guarden en la
base de datos de forma encriptada. En Linux, y en General en todos los Sistemas
Operativos de verdad, ni siquiera el administrador puede desencriptar 
-fcilmente- una contrasea. La nica opcin viable es generar una nueva.
	</p>
	<li> <b>He olvidado mis datos....</b>
	<p>
	( carcajada: PARDILLLOOOOOOO :) ) bueno, no problemo: envia mail al 
	<? printf("<a href=\"mailto:%s?Subject=[Free-Vote] Solicitud de datos personales\">",$ADMIN_EMAIL); ?> administrador </a> y se te devolvern unos datos nuevos. Ojo: se genera una nueva contrasea automticamente !No la olvides!
	</p>
	<p>
	Eso s, por favor, no te intentes registrar de nuevo... aparte de que
si das la misma direccin de correo el sistema no te va a dejar, el administrador al ir a darte de alta, ver que ya ests registrado, con lo que recibirs un mail muy "agradable".... Ests avisado :)
	</p>
	</ul>
<dt> <h3>Aspectos Legales</h3>
<dd> 	<ul>
	<li> <b>Cual es la validez real de una consulta por Free-Vote?</b>
	<p>
	La que los votantes le quieran dar. En un sistema de verdad, la tarjeta
	de voto se enva por correo certificado con acuse de recibo; las 
        transacciones se hacen mediante SSL, y el software servidor se 
        certifica ante notario,	mediante informes tcnicos independientes y 
        supervisin on-line del proceso; adems, se utilizan una batera de
	servidores replicados en paralelo ....
	</p>
	<li> <b>Eso de dar mis datos personales no me gusta...</b>
	<p>
	Comprensible. Pero se trata de evitar registros invlidos, y hacer que
	la gente se sienta involucrada. Adems, afortunadamente la legislacin
	espaola es muy buena en cuanto a proteccin de datos ( otra cosa es
	que se cumpla...):<br>
		<ul>
		<li> Obligacin de registrar la database en la Agencia de Proteccin de Datos
		<li> Obligacin de especificar los usos y objetivos de la DB
		<li> Obligacin de notificar cualquier cesin de datos a terceros
		<li> Obligacin de proveer en la medida de lo posible sistemas de control y seguridad en el uso y acceso a las bases de datos
		<li> Derecho del usuario a conocer, cancelar, y en su caso borrar sus datos personales
		<li> Prohibicin expresa de inclur datos que afecten a la libertades individuales ( creencias, ideologa, gustos, etc )
		</ul>
	<p>
	Adems en Free-Vote tienes una garanta adicional: es SOFTWARE LIBRE, y en
todo momento sabrs qu hace y cmo funciona.
	</p>
	</p>
	</ul>
</dl>

</body>
</html>
