<h3>Ttulo de la consulta:</h3>
        <p> <? print( $consulta->titulo ); ?> </p>
<?

function datos_participacion($conn,$consulta) {
	printf("<h3>Datos de Participacin</h3>\n<table>\n");
	printf("<tr><th align=left>Votantes censados</th><td>%s</td></tr>\n",cuenta_censados($conn,$consulta->id_lista) );
        printf("<tr><th align=left>Votantes registrados</th><td>%s</td></tr>\n",cuenta_registrados( $conn,$consulta->voteid) );
        printf("<tr><th align=left>Votos emitidos</th><td>%s</td></tr>\n",cuenta_votos($conn,$consulta->voteid) );
	printf("</table>\n");
}

function datos_recuento($conn,$results) {
	printf("<h3>Recuento de resultados</h3>\n<table>\n");
	for ( $count=0; $count<db_numrows($results); $count++) {
        	$respuestas=db_fetch_object($results,$count);
        	printf(" <tr><th align=left>%s</th> <td align=right>%s</td> </tr>\n",$respuestas->short_answer,$respuestas->result );
	}
	printf("</table>\n");
}

function votantes_secreto($conn,$consulta) {
	printf("<h3>Listado de participantes</h3>\n<table>\n");
	$com=sprintf("SELECT DISTINCT apellidos,nombre FROM usuarios,votantes WHERE id_consulta=%d AND usuarios.userid=votantes.id_usuario AND ha_votado=true;",$consulta->voteid);
	$res=sqlquery($conn,$com,"Error en consulta de participantes");
	for ( $count=0; $count<db_numrows($res); $count++) {
                $participante=db_fetch_object($res,$count);
                printf(" <tr><td align=left>%s,%s</td></tr>\n",$participante->apellidos,$participante->nombre );
	}
	printf("</table>\n"); 
}

function votantes_nosecreto($conn,$consulta) {
	printf("<h3>Listado de participantes</h3>\n<table>\n");
	$com=sprintf("SELECT DISTINCT apellidos,nombre,vote_data FROM usuarios,votantes WHERE id_consulta=%d AND usuarios.userid=votantes.id_usuario AND ha_votado=true;",$consulta->voteid);
	$res=sqlquery($conn,$com,"Error en consulta de participantes");
	for ( $count=0; $count<db_numrows($res); $count++) {
                $participante=db_fetch_object($res,$count);
                printf(" <tr><td align=left>%s,%s</td><td align=right>%s</td></tr>\n",$participante->apellidos,$participante->nombre,$participante->vote_data );
	}
	printf("</table>\n");
}

if ( date("Y-m-d") <= $consulta->end_votacion ) { // en periodo de votacion
	if ($consulta->allow_percent == "t" ) datos_participacion($conn,$consulta); else printf ("<p>Datos de participacin no disponibles hasta finalizar el periodo de votacin</p>\n");

	if ($consulta->allow_results == "t" ) datos_recuento($conn,$res2);
else printf ("<p>Datos de recuento no disponibles hasta finalizar el periodo de votacin</p>\n"); 

	if ($consulta->allow_list == "t" ) {
	    if ($consulta->is_secret == "t" ) votantes_secreto($conn,$consulta);
	    else 			votantes_nosecreto($conn,$consulta);
	} else printf ("<p>Datos de votantes no disponibles hasta finalizar el periodo de votacin</p>\n");
} 
else  
{ // periodo de votacion finalizada
	datos_participacion($conn,$consulta);
	datos_recuento($conn,$res2);
	if ($consulta->is_secret == "t" ) votantes_secreto($conn,$consulta);
        else 				votantes_nosecreto($conn,$consulta);
}

?>
