<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>Free-Vote: Procesado de votaciones</title>
</head>
<body>
<? require('tools.php3'); ?>
<? check_https(); ?>
<?
	$conn = db_Open("Error Abriendo base de datos");

	$userid=certify_user($conn, $evote_email, $evote_userid, $evote_passwd, "Error: Usuario no registrado, o datos invlidos");

	// si no estamos creando nueva consulta, buscamos datos de sta
	if ( $operacion != "nueva") {
	    // buscamos datos de la consulta
	    $consulta=lookup_vote($conn,$consulta,"consultas");
	    // datos sobre respuestas asociadas
	    $com=sprintf("SELECT * FROM respuestas WHERE id_consulta=%s;",$consulta->voteid);
            $res2=sqlquery( $conn,$com,"Error: Consulta sin respuestas asociadas");
	    // datos sobre organizador de la encuesta
	    $admindata=lookup_user($conn,$consulta->userid,"usuarios");

	    // buscamos datos sobre el censo de votantes	
	    $censo=lookup_list($conn,$consulta->id_lista);
	
	    // en el caso de que la consulta sea restringida 
	    // comprobamos los derechos de acceso del usuario
	    if ($consulta->is_restricted=="t") 
	    	esta_censado( $conn, $userid, $censo->id_lista, "Consulta restringida: El usuario no pertenece a la lista de votantes" );
	}
	// analizamos las diversas operaciones
	if ( $operacion=="ficha" ) { // consultar ficha tecnica
		printf ("<h1> Ficha tcnica </h1>\n") ;
		{ include("ficha_tecnica.php3"); }
	}
	elseif ( $operacion=="resultados" ) { // visualizacin de resultados
		printf ("<h1> Visualizacin de resultados</h1>\n");
		{ include("resultados.php3"); }
	}
	elseif ( $operacion=="interventor" ) { // participar como interventor
		printf ("<h1> Inscripcin como interventor </h1>\n");
		{ include("interventor.php3"); }
	}
	elseif ( $operacion=="foro" ) { // Entrar en el foro de debates
		printf ("<h1> Foro de debates </h1>\n");
		{ include("foro.php3"); }
	}
	elseif ( $operacion=="nueva" ) { // crear nueva consulta
		printf ("<h1> Creacin de nueva consulta</h1>\n");
		{ include("nueva_consulta.php3"); }
	}
	elseif ( $operacion=="voto" ) { // votar
		printf ("<h1> Emisin de voto</h1>\n");
		{ 
			include("ficha_tecnica.php3");
			include("votar.php3"); 
		}
	}
	else printf("Error: operacin invlida\n");
	db_Close($conn);
?>
<hr>
</ol>
</body>
</html>

