<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>Free-Vote: Administracion</title>
</head>
<body>
<? require('tools.php3'); ?>
<? check_https(); ?>
	
<h1>Administracin del Sistema</h1>
<?
	// abrimos database
	$conn = db_Open("Error abriendo database");
	// buscamos al administrador y comprobamos que tiene los privilegios
	// necesarios
	$res=certify_user($conn,$evote_email,$evote_userid,$evote_passwd,"Error en identificacin del administrador");
	// ahora comprobamos los privilegios
	if ( $operacion=="list_users" ) {
		grant_access($conn,$res,3,"Insuficiente nivel de privilegio");
		printf ("<h2>Listados de usuarios</h2>\n");
		printf("<form name=admin2 method=post action=\"%s/admin2.php3\">\n",get_url("SECUREURL"));
		printf ("<input type=hidden name=\"operacion\" value=\"list_users\">\nLista:");
		selecciona_lista($conn,$id_lista);
		printf("<input type=submit value=\"Mostrar listado\"><br>\n");
		printf ("<h3>Usuarios registrados en la lista</h3>\n");
		$comm=sprintf("SELECT * FROM usuarios,user_acl WHERE (userid=id_usuario) AND (id_lista=%s) AND (userid>0) ORDER BY apellidos, nombre;",$id_lista);
		$res=sqlquery($conn,$comm,"Error en obtencin de listado");
		$count=db_numrows($res);
		if ($count==0) printf("No hay usuarios registrados");
		else {
			printf("<table><tr><th>User/Group</th><th>Nombre y Apellidos</th><th>Direccin de correo</th><th>Direccin</th><th>Telfono</th></tr>\n");
			for ($i=0;$i<$count;$i++) {
				$data=db_fetch_object($res,$i);
				printf("<tr><td>%s / %s</td><td>%s %s</td><td>%s</td><td>%s</td><td>%s</td></tr>\n",$data->userid,$data->groupid,$data->nombre,$data->apellidos,$data->email,$data->direccion,$data->telefono);
			}
			printf("</table>\n");
		}
	}
	if ( $operacion=="new_user" ) {
		grant_access($conn,$res,4,"Insuficiente nivel de privilegio");
		printf ("<h3>Alta de usuarios pendientes de registro</h3>\n");
		printf("<form name=admin2 method=post action=\"%s/admin_user.php3\">",get_url("SECUREURL"));
		printf ("<input type=hidden name=\"operacion\" value=\"new_user\">\n");
		list_users( $conn, "usuarios_tmp",1 );
	}
	if ( $operacion=="add_user" ) {
		grant_access($conn,$res,4,"Insuficiente nivel de privilegio");
		printf ("<h3>Alta manual de un usuario</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin_user.php3\">",get_url("SECUREURL"));
		printf ("<input type=hidden name=\"operacion\" value=\"add_user\">\n");
		printf ("<table>\n");
		printf ("<tr><th>Apellidos</th><td> <input type=text name=\"apellidos\" size=60 maxlength=60></td></tr>\n");
		printf ("<tr><th>Nombre</th><td> <input type=text name=\"nombre\" size=60 maxlength=60></td></tr>\n");
		printf ("<tr><th>Direccin</th><td> <input type=text name=\"direccion\" size=60 maxlength=60></td></tr>\n");
		printf ("<tr><th>Poblacin</th><td> <input type=text name=\"poblacion\" size=40 maxlength=40></td></tr>\n");
		printf ("<tr><th>Telfono</th><td> <input type=text name=\"telefono\" size=20 maxlength=20></td></tr>\n");
		printf ("<tr><th>E-Mail</th><td> <input type=text name=\"email\" size=40 maxlength=40></td></tr>\n");
		// los campos de contrasea se generan automaticamente...
		printf ("</table><br> \n");
		printf ("<input type=reset value=\"Borrar\"><br>\n");
	}
	if ( $operacion=="edit_user" ) {
		grant_access($conn,$res,5,"Insuficiente nivel de privilegio");
		printf ("<h3>Modificacin de datos de un usuario</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin_user.php3\">",get_url("SECUREURL"));
		printf ("<input type=hidden name=\"operacion\" value=\"edit_user\">\n");
		list_users( $conn, "usuarios",1 );
	}
	if ( $operacion=="del_user" ) {
		grant_access($conn,$res,5,"Insuficiente nivel de privilegio");
		printf ("<h3>Eliminacin del registro de un usuario</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin_user.php3\">",get_url("SECUREURL"));
		printf ("<input type=hidden name=\"operacion\" value=\"del_user\">\n");
		list_users( $conn, "usuarios",1 );
	}
	if ( $operacion=="list_interventores" ) {
		grant_access($conn,$res,4,"Insuficiente nivel de privilegio");
		printf ("<h3>Listado de interventores registrados</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin_interv.php3\">",get_url("SECUREURL"));
		printf ("<input type=hidden name=\"operacion\" value=\"list_interventores\">\n");
		list_vote( $conn, "consultas",1 );
	}
	if ( $operacion=="new_vote" ) {
		grant_access($conn,$res,4,"Insuficiente nivel de privilegio");
		printf ("<h3>Alta de votaciones pendientes de aprobacin</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin_vote.php3\">",get_url("SECUREURL"));
		printf ("<input type=hidden name=\"operacion\" value=\"new_vote\">\n");
		list_vote( $conn, "consultas_tmp",1 );
	}
	if ( $operacion=="edit_vote" ) {
		grant_access($conn,$res,4,"Insuficiente nivel de privilegio");
		printf ("<h3>Modificacin de votaciones</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin_vote.php3\">",get_url("SECUREURL"));
		printf ("<input type=hidden name=\"operacion\" value=\"edit_vote\">\n");
		list_vote( $conn, "consultas",1 );
	}
	if ( $operacion=="del_vote" ) {
		grant_access($conn,$res,5,"Insuficiente nivel de privilegio");
		printf ("<h3>Eliminacin de votaciones</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin_vote.php3\">",get_url("SECUREURL"));
		printf ("<input type=hidden name=\"operacion\" value=\"del_vote\">\n");
		list_vote( $conn, "consultas",1 );
	}
	if ( $operacion=="sql_window" ) {
		grant_access($conn,$res,6,"Insuficiente nivel de privilegio");
		printf ("<h3>Acceso a la Consola SQL</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin2.php3\">\n",get_url("SECUREURL"));
		printf ("<table border><tr><th>Entrada de datos</th></tr>\n");
		printf ("<tr><td><textarea name=\"evote_sql\" rows=3 cols=70>%s</textarea></td></tr>\n",$evote_sql);
		printf ("<tr><th>Salida de datos</th></tr>\n");
		printf ("<tr><td bgcolor=white fgcolor=black><pre>\n");
		sql_console($conn,$evote_sql);
		printf("</pre></td></tr>\n"); 
		printf ("</table>\n");
		printf ("<input type=hidden name=\"operacion\" value=\"%s\">\n",$operacion);
	}
	if ( $operacion=="add_list" ) {
		grant_access($conn,$res,4,"Insuficiente nivel de privilegio");
		printf ("<h3>Declaracin de una lista de usuarios</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin_listas.php3\">\n",get_url("SECUREURL"));
		printf ("<table>\n");
		printf ("<tr><th>Nombre de la Lista</th><td> <input type=text name=\"nombre\" size=20 maxlength=20></td></tr>\n");
		printf ("<tr><th>Descripcin</th><td> <input type=text name=\"descripcion\" size=60 maxlength=60></td></tr>\n");
		printf ("<tr><th>Direccin de correo</th><td> <input type=text name=\"email\" size=40 maxlength=40></td></tr>\n");
		// los campos de contrasea se generan automaticamente...
		printf ("</table><br> \n");
		printf ("<input type=reset value=\"Borrar\"><br>\n");
		printf ("<input type=hidden name=\"operacion\" value=\"%s\">\n",$operacion);
	}
	if ( $operacion=="edit_list" ) {
		grant_access($conn,$res,4,"Insuficiente nivel de privilegio");
		printf ("<h3>Modificacin de datos de una lista</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin_listas.php3\">\n",get_url("SECUREURL"));
		list_listas($conn,1);
		printf ("<input type=hidden name=\"operacion\" value=\"%s\">\n",$operacion);
	}
	if ( $operacion=="del_list" ) {
		grant_access($conn,$res,4,"Insuficiente nivel de privilegio");
		printf ("<h3>Eliminacin de listas de usuarios</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin_listas.php3\">\n",get_url("SECUREURL"));
		list_listas($conn,1);
		printf ("<input type=hidden name=\"operacion\" value=\"%s\">\n",$operacion);
	}
	if ( $operacion=="edit_userlist" ) {
		grant_access($conn,$res,5,"Insuficiente nivel de privilegio");
		printf ("<h3>Asignacin de usuarios a listas</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin_listas.php3\">\n",get_url("SECUREURL"));
		list_listas($conn,1);
		printf ("<input type=hidden name=\"operacion\" value=\"%s\">\n",$operacion);
	}
	if ( $operacion=="add_interventores" ) {
		grant_access($conn,$res,4,"Insuficiente nivel de privilegio");
		printf ("<h3>Asignacin de interventores a una votacin</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin_interv.php3\">\n",get_url("SECUREURL"));
		list_vote( $conn, "consultas",1 );
		printf ("<input type=hidden name=\"operacion\" value=\"%s\">\n",$operacion);
	}
	if ( $operacion=="del_interventores" ) {
		grant_access($conn,$res,4,"Insuficiente nivel de privilegio");
		printf ("<h3>Eliminacin de interventores de una votacin</h3>\n");
		printf ("<form name=admin2 method=post action=\"%s/admin_interv.php3\">\n",get_url("SECUREURL"));
		list_vote( $conn, "consultas",1 );
		printf ("<input type=hidden name=\"operacion\" value=\"%s\">\n",$operacion);
	}
	db_Close($conn);
	// marranada para pasar datos de un form al siguiente... lo siento :(
	printf ("<input type=hidden name=\"evote_email\" value=\"%s\">\n",$evote_email);
	printf ("<input type=hidden name=\"evote_userid\" value=\"%s\">\n",$evote_userid);
	printf ("<input type=hidden name=\"evote_passwd\" value=\"%s\">\n",$evote_passwd);

	if ($operacion!="list_users") printf("<input type=submit value=\"Aceptar\"><br>\n");
?>
	</form>
</body>
</html>
