<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>Free-Vote: Administracion de interventores</title>
</head>
<body>
<!-- fichero de configuracion -->
<? require('tools.php3'); ?> 
<? check_https(); ?>
<!-- COMIENZO DEL TEXTO -->
<?
$conn=db_Open("Error en conexin con la DataBase");
// autentificamos ( por si las moscas alguno llama directamente al cgi )
$res=certify_user($conn,$evote_email,$evote_userid,$evote_passwd,"Error en autentificacin del administrador");
grant_access($conn,$res,4,"Insuficiente nivel de privilegio");
$vote=lookup_vote($conn,$voteid,"consultas");

if ($operacion=="list_interventores") {
	printf("<h1>Listado de interventores</h1>\n");
	printf("<h3>Ttulo de la consulta<br><i>%s</i></h3>\n",$vote->titulo);
	$count=list_interventores($conn,$voteid,0);
}

// formulario de eliminacion de interventores
if ($operacion=="del_interventores") {
	printf("<h1>Eliminacin de interventores de una votacin</h1>\n");
	printf("<h3>Ttulo de la consulta<br><i>%s</i></h3>\n",$vote->titulo);
	printf ("<form name=interventores action=\"%s/admin_interv.php3\" method=\"post\">\n",get_url("SECUREURL"));
	printf ("<p>Interventores registrados:</p>\n");
	$count=list_interventores($conn,$voteid,1);
        if ($count !=0 ) { // solo presenta opciones si hay datos :)
 		printf ("<input type=radio name=\"yesno\" value=1 checked>Borrar interventor &nbsp;\n");
        	printf ("<input type=radio name=\"yesno\" value=0>Cancelar operacion<br>\n");
		printf ("<input type=submit value=\"Activar cambios\">\n");
		printf ("<input type=hidden name=\"voteid\" value=%s>\n",$voteid);
		printf ("<input type=hidden name=\"operacion\" value=\"process_del_interventores\">\n");
        }
}

// formulario de anadido de interventores
if ($operacion=="add_interventores") {
	printf("<h1>Asignacin de interventores a una votacin</h1>\n");
	printf("<h3>Ttulo de la consulta<br><i>%s</i></h3>\n",$vote->titulo);
	printf ("<form name=interventores action=\"%s/admin_interv.php3\" method=\"post\">\n",get_url("SECUREURL"));
	printf("<table>\n");
	printf("<tr><th align=left>Email del interventor</th><td><input type=text name=interv_email size=40 maxlength=40>&nbsp;</td></tr>\n");
	printf("<tr><td colspan=2><hr></td></tr>\n");
	printf("<tr><th align=left>Obtener listado inicial del censo</th><td><input type=checkbox name=interv_listado value=\"true\" checked></td></tr>\n");
	printf("<tr><th align=left>Notificaciones de alta/baja/modificacin del censo</th><td><input type=checkbox name=interv_censo value=\"true\" checked></td></tr>\n");
	printf("<tr><th align=left>Recibir solicitudes de tarjeta de voto</th><td><input type=checkbox name=interv_tarjetas value=\"true\" checked></td></tr>\n");
	printf("<tr><th align=left>Recibir eventos de voto y su valor (si voto no secreto)</th><td><input type=checkbox name=interv_voto value=\"true\" checked></td></tr>\n");
	printf("<tr><td colspan=2><hr></td></tr>\n");
	printf("<tr><th align=left>Notificar cada evento</th><td><input type=radio name=interv_cron value=\"0\" checked></td></tr>\n");
	printf("<tr><th align=left>Recibir resumen horario</th><td><input type=radio name=interv_cron value=\"1\"></td></tr>\n");
	printf("<tr><th align=left>Recibir resumen diario</th><td><input type=radio name=interv_cron value=\"2\"></td></tr>\n");
	printf("<tr><td colspan=2><hr></td></tr>\n");
	printf("</table>\n");
 	printf ("<input type=radio name=\"yesno\" value=1 checked>Inscribir interventor &nbsp;\n");
        printf ("<input type=radio name=\"yesno\" value=0>Cancelar operacion<br>\n");
	printf ("<input type=submit value=\"Activar cambios\">\n");
	printf ("<input type=hidden name=\"voteid\" value=%s>\n",$voteid);
	printf ("<input type=hidden name=\"operacion\" value=\"process_add_interventores\">\n");
}

// operacin de aadido de interventores
if ($operacion=="process_add_interventores") {
	printf("<h1>Asignacin de interventores</h1>\n");
	printf("<h3>Ttulo de la consulta<br><i>%s</i></h3>\n",$vote->titulo);
	if ( $yesno==0 ) printf ("Operacin cancelada");
	else {
		// obtenemos datos del usuario y de la votacion
		$user=lookup_user_by_email($conn,$interv_email,"usuarios");
		if ( $interv_listado != "true" ) $interv_listado="false";
		if ( $interv_censo != "true" ) $interv_censo="false";
		if ( $interv_tarjetas != "true" ) $interv_tarjetas="false";
		if ( $interv_voto != "true" ) $interv_voto="false";
		if ( ($interv_cron>2) || ($interv_cron<0) ) $interv_cron=0;
		// comprobamos duplicados
		$com=sprintf("SELECT * FROM interventores WHERE ( id_usuario=%s ) AND (id_consulta=%s) ;",$user->userid,$vote->voteid);
        	$res=sqlquery($conn,$com,"Error en comprobacin de datos");
        	if (db_numrows($res)>0) show_error("El usuario ya est registrado como interventor");
		$com=sprintf("INSERT INTO interventores (id_usuario,id_consulta,envia_lista,envia_cambios,envia_tarjetas,envia_voto,send_modo) VALUES ( %d,%d,%s,%s,%s,%s,%d);",$user->userid,$vote->voteid,$interv_listado,$interv_censo,$interv_tarjetas,$interv_voto,$interv_cron );
		$res=sqlquery($conn,$com,"Error en inscripcin de interventor");
		// notificamos al interventor que se le ha inscrito
		register_interventor($user,$vote);	
		if ($interv_listado=="true") envia_censo($conn,$user,$vote);
		printf ("Usuario inscrito en el registro de interventores");
	}
}

// operacin de eliminacin de interventores
if ($operacion=="process_del_interventores") {
	printf("<h1>Eliminacin de interventores de una votacin</h1>\n");
	printf("<h3>Ttulo de la consulta<br><i>%s</i></h3>\n",$vote->titulo);
	if ( $yesno==0 ) printf ("Operacin cancelada");
	else {
		// obtenemos datos del usuario y de la votacion
		$user=lookup_user($conn,$interv_id,"usuarios");
		$com=sprintf("DELETE FROM interventores WHERE ( id_consulta = %s ) AND ( id_usuario = %s );",$voteid,$interv_id );
		$res=sqlquery($conn,$com,"Error en borrado de interventor");
		// notificamos al interventor que se le ha borrado
		unregister_interventor($user,$vote);	
		printf ("Usuario borrado del registro de interventores");
	}
}

// marranada para pasar datos de un form al siguiente... lo siento :(
printf ("<input type=hidden name=\"evote_email\" value=\"%s\">\n",$evote_email);
printf ("<input type=hidden name=\"evote_userid\" value=\"%s\">\n",$evote_userid);
printf ("<input type=hidden name=\"evote_passwd\" value=\"%s\">\n",$evote_passwd);
printf("</form>\n");
db_Close($conn);
?>

<!-- FIN DEL TEXTO -->
</body>
</html>
