<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>Free-Vote: administracion de consultas</title>
</head>
<body>
<!-- fichero de configuracion -->
<? require('tools.php3'); ?> 
<? check_https(); ?>
<!-- COMIENZO DEL TEXTO -->
<?
// abre database
$conn=db_Open("Error en conexin con la DataBase");
// autentificamos ( por si las moscas alguno llama directamente al cgi )
$res=certify_user($conn,$evote_email,$evote_userid,$evote_passwd,"Error en autentificacin de administrador");

// nueva consulta
if ($operacion=="new_vote") {
	printf("<h1>Inclusin de consultas pendientes de aprobacin</h1>\n");
	grant_access($conn,$res,4,"Insuficiente nivel de privilegio");
        list_vote_data($conn,$voteid,"consultas_tmp");
        // formulario de aceptacin de datos
        printf ("<form name=accept_new_vote action=\"%s/admin_vote.php3\" method=\"post\">\n",get_url("SECUREURL"));
        printf ("<input type=radio name=\"yesno\" value=1 checked>Inscribir &nbsp;\n");
        printf ("<input type=radio name=\"yesno\" value=0>Rechazar\n");
        printf ("<input type=submit value=\"Procesar peticin\">\n");
        printf ("<input type=hidden name=\"voteid\" value=%s>\n",$voteid);
        printf ("<input type=hidden name=\"operacion\" value=\"process_new_vote\">\n");
}

// editar consulta
if ($operacion=="edit_vote") {
	printf("<h1>Modificacin de parmetros de consulta</h1>\n");
	printf("<h3>Operacin no disponible en el sistema</h3>\n");
}

// borrar consulta
if ($operacion=="del_vote") {
	printf("<h1>Eliminacin de consultas</h1>\n");
	grant_access($conn,$res,5,"Insuficiente nivel de privilegio");
        list_vote_data($conn,$voteid,"consultas");
        // formulario de aceptacin de datos
        printf ("<form name=accept_new_vote action=\"%s/admin_vote.php3\" method=\"post\">\n",get_url("SECUREURL"));
        printf ("<input type=radio name=\"yesno\" value=1 checked>Eliminar &nbsp;\n");
        printf ("<input type=radio name=\"yesno\" value=0>Mantener\n");
        printf ("<input type=submit value=\"Procesar peticin\">\n");
        printf ("<input type=hidden name=\"voteid\" value=%s>\n",$voteid);
        printf ("<input type=hidden name=\"operacion\" value=\"process_del_vote\">\n");
}

// proceso de inscripcin de consulta
if ($operacion=="process_new_vote") {
	printf("<h1>Inclusin de consultas pendientes de aprobacin</h1>\n");
 	grant_access($conn,$res,4,"Insuficiente nivel de privilegio");
        if ( $yesno==0 ) printf ("Operacin cancelada");
        else {
                accept_vote($conn,$voteid);
		$vote=lookup_vote($conn,$voteid,"consultas");
                printf("<h3>%s %s</h3>\n",$voteid,$vote->titulo);
                printf ("<p>Consulta aadida</p>");
                // enviamos notificacin por correo
		$user=lookup_user($conn,$vote->userid,"usuarios");
		done_new_votation($user,$vote);
        }
}

// proceso de modificacin de consulta
if ($operacion=="process_edit_vote") {
	printf("<h1>Modificacin de parmetros de consulta</h1>\n");
 	grant_access($conn,$res,5,"Insuficiente nivel de privilegio");
        if ( $yesno==0 ) printf ("Operacin cancelada");
        else {
		show_error("Funcin no disponible todava");
        }
}

// proceso de borrado de consulta
if ($operacion=="process_del_vote") {
	printf("<h1>Eliminacin de consultas</h1>\n");
 	grant_access($conn,$res,5,"Insuficiente nivel de privilegio");
        if ( $yesno==0 ) printf ("Operacin cancelada");
        else {
		$vote=lookup_vote($conn,$voteid,"consultas");
		$user=lookup_user($conn,$vote->userid,"usuarios");
                printf("<h3>%s %s</h3>\n",$voteid,$vote->titulo);
		remove_vote($conn,$voteid,"consultas");
                printf ("<p>Consulta eliminada</p>");
                // enviamos notificacin por correo
		done_del_votation($user,$vote);
        }

}

// marranada para pasar datos de un form al siguiente... lo siento :(
printf ("<input type=hidden name=\"evote_email\" value=\"%s\">\n",$evote_email);printf ("<input type=hidden name=\"evote_userid\" value=\"%s\">\n",$evote_userid);
printf ("<input type=hidden name=\"evote_passwd\" value=\"%s\">\n",$evote_passwd);
printf("</form>\n");
db_Close($conn)

?>
<!-- FIN DEL TEXTO -->
</body>
</html>
