<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>Free-Vote: Elaboracion de una consulta</title>
</head>
<body>
<? require('tools.php3'); ?>
<? check_https(); ?>

<h1>Free-Vote: Creacin de nueva consulta</h1>
<hr>
<h3>Avisos:</h3>
<ul>
<li>	El Organizador asume toda responsabilidad sobre los contenidos, 
intenciones y resultados de la encuesta. Este sitio web SOLO acta como
soporte fsico de la misma
<li>	Es responsabilidad del Organizador el dar conocimiento y difusin 
de la consulta, as como el aviso a las posibles personas interesadas
<li>	Es potestad del Administrador del sitio web el no aceptar aquellas
consultas que por su origen, finalidad, o contenidos pudieran ser ofensivas
para los usuarios de este web, o bien ser calificadas como hechos constitutivos
de delito.
<li>	Antes de ser insertada en el web, la consulta ser examinada por el
Administrador, quien notificar al Organizador su conformidad, as como le
solicitar en su caso datos adicionales ( p.e. lista de direcciones de correo
de votantes en consultas restringidas )
</ul>
<hr>
<p>
Si est de acuerdo con estos trminos, y desea elaborar una consulta,
por favor rellene todos los datos de forma clara y precisa. La falta de
alguno de ellos implicar la no aceptacin de la consulta propuesta
</p>
<form name=consulta method="post" action="SECUREURL/nueva_consulta.php3">
<ol>
<li><h3>Ttulo de la consulta:</h3>
    	<p>
    	<input type=text name="evote_title" size=70 maxlength=70 value=""> 
	</p>
<hr>
<li><h3>Datos del Organizador:</h3>
	<p>
	<table>
	<? query_user(0,"","","",""); ?>
	</table>
	</p>
<hr>
<li><h3>Datos de la consulta:</h3>
	<p>
	<ul>
	<li> Prembulo ( Descripcin, Motivos, etc ):
	<textarea name="evote_abstract" rows=5 cols=70></textarea>
	<li> Texto de la Consulta:
    	<input type=text name="evote_question" size=70 maxlength=70 value=""> 
	<li> Opciones de la consulta:
	<table>
	<tr> <th>Nmero</th><th>Respuesta</th><th>Explicacin</th></tr>
	<tr><th>1</th> <td><input type=text name="evote_answer1" size=10 maxlength=10 value=""></td> <td><input type=text name="evote_long_answer1" size=60 maxlength=60 value=""></td> </tr>
	<tr><th>2</th> <td><input type=text name="evote_answer2" size=10 maxlength=10 value=""></td> <td><input type=text name="evote_long_answer2" size=60 maxlength=60 value=""></td> </tr>
	<tr><th>3</th> <td><input type=text name="evote_answer3" size=10 maxlength=10 value=""></td> <td><input type=text name="evote_long_answer3" size=60 maxlength=60 value=""></td> </tr>
	<tr><th>4</th> <td><input type=text name="evote_answer4" size=10 maxlength=10 value=""></td> <td><input type=text name="evote_long_answer4" size=60 maxlength=60 value=""></td> </tr>
	<tr><th>5</th> <td><input type=text name="evote_answer5" size=10 maxlength=10 value=""></td> <td><input type=text name="evote_long_answer5" size=60 maxlength=60 value=""></td> </tr>
	<tr><th>6</th> <td><input type=text name="evote_answer6" size=10 maxlength=10 value=""></td> <td><input type=text name="evote_long_answer6" size=60 maxlength=60 value=""></td> </tr>
	<tr><th>7</th> <td><input type=text name="evote_answer7" size=10 maxlength=10 value=""></td> <td><input type=text name="evote_long_answer7" size=60 maxlength=60 value=""></td> </tr>
	<tr><th>8</th> <td><input type=text name="evote_answer8" size=10 maxlength=10 value=""></td> <td><input type=text name="evote_long_answer8" size=60 maxlength=60 value=""></td> </tr>
	<tr><th>9</th> <td><input type=text name="evote_answer9" size=10 maxlength=10 value=""></td> <td><input type=text name="evote_long_answer9" size=60 maxlength=60 value=""></td> </tr>
	<tr><th>10</th> <td><input type=text name="evote_answer10" size=10 maxlength=10 value=""></td> <td><input type=text name="evote_long_answer10" size=60 maxlength=60 value=""></td> </tr>
	</table>
	<li> Caractersticas:
	<dl>
	<p>
	<dt>Censo de votantes:
	<?
	$con = db_Open("Error en conexin a la base de datos");
 
	$com=sprintf("SELECT * FROM listas ORDER BY id_lista;");
	$res = sqlquery ($con,$com,"Error de acceso a tabla de Censos");
	if ( ($numrows=db_numrows($res)) == 0 ) {
        	show_error( "Error Interno: No hay censos registradas");
        	exit;
	}
	printf("<select name=\"evote_list\">\n"); 
	for ( $num=0;$num<$numrows;$num++) {
		$data=db_fetch_object($res,$num);
		printf("<option value=\"%d\">%s ( %s )\n",$data->id_lista,$data->nombre,$data->descripcion);	
	}
	printf("</select>\n"); 
	db_Close($con);
	?>
	</p>
	<p>
	<dt>Control de acceso
	<dd>
	</p>
	<p>
	<input type=radio name="evote_restricted" value=0 checked>Acceso pblico: Todo el mundo puede acceder a datos y resultados de la consulta<br>
	<input type=radio name="evote_restricted" value=1>Acceso restringido: Slo tienen acceso a los datos de la consulta aquellos definidos en el censo especificado
	</p>
	<p>
	<dt> Visibilidad de datos <i>durante</i> el periodo de votacin:
	</p>
	<p>
	<dd>
	<input type=checkbox name="evote_percent" value=1 checked>Permitir ver datos de participacin<br>
	<input type=checkbox name="evote_results" value=1>Permitir ver resultados parciales<br>
	</p>
	</dl>
   	<li> Fechas:
	<p>
	<table>
	<tr><th>Descripcin</th><th>Comienzo del plazo</th><th>Fin del Plazo</th></tr>
	<tr><th align=left>Periodo de vigencia</th><td><input type=text name="evote_sdate" size=10 maxlength=10></td><td><input type=text name="evote_edate" size=10 maxlength=10></td></tr>
	<tr><th align=left>Plazo de Inscripcin</th><td><input type=text name="evote_sreg" size=10 maxlength=10></td><td><input type=text name="evote_ereg" size=10 maxlength=10></td></tr>
	<tr><th align=left>Periodo de Votacin</th><td><input type=text name="evote_svote" size=10 maxlength=10></td><td><input type=text name="evote_evote" size=10 maxlength=10></td></tr>
	</table>
	</p>
	<p><b>Notas:</b><br>
	<ul>
	<li> El formato de fecha es "<tt>AAAA-MM-DD</tt>". Los datos son referidos a la hora local del servidor
	<li> El periodo de vigencia se refiere a las fechas en que esta 
	consulta estar disponible en el web
	</ul>
	</p>
	</ul>
</ol>
<hr>
<table width=100%><tr><th> <input type=reset value="Borrar"></th><th><input type=submit value="Enviar"></th></tr></table> 
</form>
</body>
</html>
