<?

// primitivas para manejo de base de datos PostGreSQL

// cierre de la conexin con la DB
function db_Close($conn) {
	return pg_Close($conn);
}

// apertura de la base de datos
// devuelve id de conexin o error
function db_Open($errormsg) {
	global $DBHOST, $DBPORT, $DBNAME;
	$str="dbname=".$DBNAME." host=".$DBHOST." port=".$DBPORT." user=".getenv("DBUSER")." password=".getenv("DBPASSWD");
	$conn = pg_Connect($str);
        if (!$conn) { 
                printf("%s\n",$errormsg);
		cierra_html();
		exit;
	}
	return $conn;
}

// rutina general de peticion de datos a la database
function db_query ( $conn, $comm) {
	return pg_Exec( $conn,$comm );
}

// devuelve nmero de filas de una consulta

function db_numrows($res) {
	return pg_numrows($res);
}

// extrae un objeto de una fila de una consulta

function db_fetch_object($res,$row) {
	return pg_fetch_object($res,$row);
}

?>
