<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>Free-Vote: Consulta enviada</title>
</head>
<body>
<? require('tools.php3'); ?>
<? check_https(); ?>
<?
	// primero unos mnimos chequeos
	$count=0;
	$field="Faltan por rellenar los campos: "; 
	if ( $evote_email=="" ) { $count++; $field=sprintf("%s email,",$field); } 
	if ( $evote_userid=="" ) { $count++; $field=sprintf("%s cdigo de usuario,",$field); }
	if ( $evote_passwd=="" ) { $count++; $field=sprintf("%s contrasea,",$field); }
	if ( $evote_abstract=="" ) { $count++; $field=sprintf("%s prembulo,",$field); }
	if ( $evote_question=="" ) { $count++; $field=sprintf("%s pregunta,",$field); }
	if ( $evote_restricted!="true" ) $evote_restricted="false";
	if ( $evote_secret!="true" ) $evote_secret="false";
	if ( $evote_forum!="true" ) $evote_forum="false";
	if ( $evote_percent!="true" ) $evote_percent="false";
	if ( $evote_results!="true" ) $evote_results="false";
	if ( $evote_showlist!="true" ) $evote_showlist="false";
	if ( $evote_sdate=="" ) { $count++; $field=sprintf("%s comienzo convocatoria,",$field); }
	if ( $evote_edate=="" ) { $count++; $field=sprintf("%s fin convocatoria,",$field); }
	if ( $evote_sreg=="" ) { $count++; $field=sprintf("%s comienzo inscripcin,",$field); }
	if ( $evote_ereg=="" ) { $count++; $field=sprintf("%s fin inscripcin,",$field); }
	if ( $evote_svote=="" ) { $count++; $field=sprintf("%s comienzo votacin,",$field); }
	if ( $evote_evote=="" ) { $count++; $field=sprintf("%s fin votacin,",$field); }
	if ( $count > 0 ) {
        echo "<h3>Error en formulario de elaboracin de consulta</h3>\n";
	echo $field;
	cierra_html();
        exit ;
	}
	// ahora comprobamos que las diversas opciones de la votacion son
	// correctas. 
	$flag=0;
	for ($i=1;$i<11;$i++) {
		if ( ( $evote_answer[$i] != "" ) && ( $evote_long_answer[$i] != "" ) ) { $flag++; continue; } // entrada correcta: contabiliza
		if ( ( $evote_answer[$i] == "" ) && ( $evote_long_answer[$i] == "" ) ) continue; // entrada en blanco: ignora
		// si llega aqui error: deben rellenarse ambos campos
		show_error( "Error en la opcion $i: deben rellenarse ambos campos");
	}
	if ($flag<2) show_error ("Error: !debe haber al menos dos opciones en la consulta!");
	// lo siguiente es mirar si el usuario est registrado o no
	// y obtener sus datos
	$conn=db_Open("Error en conexin con la base de datos");
	$userid=certify_user($conn,$evote_email,$evote_userid,$evote_passwd,"Error en identificacin de usuario");
	// el siguiente paso es almacenar la consulta
	// si el groupid es mayor que 2 se guarda en tabla "consultas"
	// else se guarda en "consultas_tmp"
	//
	// Se debe englobar todo el proceso en un bucle begin/commit/rollback
	// para evitar errores ( caso tpico es el intentar meter dos
	// veces la misma consulta
	$userdata=lookup_user($conn,$userid,"usuarios");
	if ( $userdata->groupid <2 ) 
		show_error("<p>El usuario no tiene suficiente nivel de privilegio para enviar consultas<p></p>Por favor, contacte con el administrador</p>");
	if ( $userdata->groupid > 2 ) $tmp_table=""; else $tmp_table="_tmp";

	sqlquery($conn,"BEGIN TRANSACTION;","Error en insercin de consulta (0)");
	$com=sprintf(" INSERT INTO consultas%s (titulo, userid,preambulo,pregunta, start_convocatoria, end_convocatoria, start_inscripcion, end_inscripcion,start_votacion, end_votacion, id_lista, is_restricted, is_secret, has_forum, allow_percent, allow_results,allow_list ) VALUES ('%s',%s,'%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', %s, %s, %s, %s, %s, %s, %s );",$tmp_table,$evote_title,$evote_userid,$evote_abstract,$evote_question,$evote_sdate,$evote_edate,$evote_sreg,$evote_ereg,$evote_svote,$evote_evote,$evote_list,$evote_restricted,$evote_secret,$evote_forum,$evote_percent,$evote_results,$evote_showlist);
	//	echo $com;
	// insertamos la consulta, recuperamos el identificador
	// y lo utilizamos para insertar las opciones de consulta
	$res=db_query($conn,$com);
	if (!$res) {
                db_query($conn,"ROLLBACK TRANSACTION;");
                show_error("Error en insercin de consulta(1)");
        }
	$com=sprintf("SELECT voteid FROM consultas%s WHERE titulo='%s';",$tmp_table,$evote_title);
        $res=db_query($conn,$com);
        if (!$res) {
                db_query($conn,"ROLLBACK TRANSACTION;");
                show_error("Error en insercin de consulta(2)");
        }                                                                       
	if ( db_numrows($res)==0 ) {
                db_query($conn,"ROLLBACK TRANSACTION;");
        	show_error( "Error: No puedo localizar identificador de consulta\n");
	}
	$obj=db_fetch_object($res,0);
	// insertamos opciones de consulta
	for ($i=1;$i<11;$i++) {
	    if ( ($evote_answer[$i] != "") && ($evote_long_answer[$i] != "") ) {
		$com=sprintf("INSERT INTO respuestas%s ( id_consulta, short_answer, long_answer ) VALUES ( %s,'%s','%s');",$tmp_table,$obj->voteid,$evote_answer[$i],$evote_long_answer[$i]);
        	$res=db_query($conn,$com);
        	if (!$res) {
                    db_query($conn,"ROLLBACK TRANSACTION;");
                    show_error("Error en insercin de opciones de consulta");
		}
	    }
	}
	// finalmente cerramos transaccion
	$res=db_query($conn,"COMMIT TRANSACTION;");
?>

<h1>Free-Vote: Solicitud de nueva consulta recibida</h1>
<hr>
<p>
Su solicitud de nueva consulta ha sido recibida. En breve recibir por
correo electrnico confirmacin. Si ha marcado la consulta como privada,
para poder acceder a la informacin disponible sobre dicha consulta
se debern introducir previamente los datos identificativos
</p>
<p>
Se adjunta copia de los datos recibidos. En caso de error u omisin 
pngase en contacto con el administrador
</p>
<hr>
<? 
list_vote_data($conn,$obj->voteid,sprintf("consultas%s",$tmp_table));
// enviamos correo electrnico al organizador
$vote=lookup_vote($conn,$obj->voteid,sprintf("consultas%s",$tmp_table));
$user=lookup_user($conn,$vote->userid,"usuarios");
todo_new_votation($user,$vote);

db_Close($conn); 
?>
</body>
</html>

