<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>Free-Vote: Enviar comentario</title>
</head>
<body>
<? require('tools.php3'); ?>
<? check_https(); ?>
<?
	$conn = db_Open("Error Abriendo base de datos");

	// buscamos datos de la consulta
	$consulta=lookup_vote($conn,$voteid,"consultas");
	if ( $commentid ) {
	    $com=sprintf("SELECT * FROM foro WHERE commentid=%s;",$commentid);
    	    $foro=sqlquery( $conn,$com,"Error en consulta de foros de debate" );
	    if ( ($items=db_numrows($foro)) == 0 )
		show_error("No encuentro comentario original");
	    $mensaje=db_fetch_object($foro,0);
	}
	// buscamos datos sobre el censo de votantes	
	$censo=lookup_list($conn,$consulta->id_lista);
	// comprobamos datos de identificacion del usuario	
	$userid=certify_user($conn, $evote_email, $evote_userid, $evote_passwd, "Error: Usuario no registrado, o datos invlidos");
	// comprobamos los derechos de acceso si consulta restringida
	if ($consulta->is_restricted=="t") {
	    esta_censado( $conn, $userid, $censo->id_lista, "Consulta restringida: El usuario no pertenece a la lista de votantes" );
	}

	// pasamos ahora a pintar los comentarios
	printf("<h1>Free-Vote: Envia tu comentario</h1> <hr>\n");
	printf("<h3>Consulta a debate:<br><i>%s</i></h3>\n",$consulta->titulo);
	printf("<form name=\"responder\" method=post action=\"%s/send_comment.php3\">\n",get_url("SECUREURL"));

	// operacion 1: nuevo mensaje
	if ( $operacion=="nuevo_mensaje") {
		printf("<h3>Pon aqu tu mensaje</h3>\n");
		printf ("<p>Cabecera:<br><input type=text name=\"subject\" value=\"Subject\" size=60 maxlength=60></p>\n");
		printf ("<p>Cuerpo del mensaje:<br><textarea name=\"comment\" rows=5 cols=70></textarea></p>\n");
        	printf ("<input type=hidden name=\"operacion\" value=\"procesa_envio\">\n");
        	printf ("<input type=hidden name=\"commentid\" value=0>\n");
        	printf ("<input type=reset name=\"borrar\" value=\"Limpiar formulario\">\n");
        	printf ("<input type=submit name=\"enviar\" value=\"Enviar comentario\">\n");
	}

	// operacion 2: generar respuesta
	if ( $operacion=="envia_comentario") {
		$sbj="";
		if ($commentid) {
			$user=lookup_user($conn,$mensaje->userid,"usuarios");
			printf("<h3>Mensaje original</h3>\n");
 			printf("<b>%s</b> Enviado por <i>%s</i> con fecha %s \n<p>%s</p>\n", $mensaje->subject,$user->email,$mensaje->fecha,nl2br($mensaje->comment));
			$sbj=$mensaje->subject;
		} else { $commentid=0;}
		printf("<h3>Pon aqu tu respuesta</h3>\n");
		printf ("<p>Cabecera:<br><input type=text name=\"subject\" value=\"Re: %s\" size=60 maxlength=60></p>\n",$sbj);
		printf ("<p>Cuerpo del mensaje:<br><textarea name=\"comment\" rows=5 cols=70></textarea></p>\n");
        	printf ("<input type=hidden name=\"operacion\" value=\"procesa_envio\">\n");
        	printf ("<input type=hidden name=\"commentid\" value=%s>\n",$commentid);
        	printf ("<input type=reset name=\"borrar\" value=\"Limpiar formulario\">\n");
        	printf ("<input type=submit name=\"enviar\" value=\"Enviar comentario\">\n");
	}

	// operacion 3: insertar nuevo comentario en la database
	if ( $operacion=="procesa_envio") {
		// insertamos comentario en la db
		$comm=sprintf("INSERT INTO foro (userid,voteid,in_response_to,subject,comment) VALUES (%s,%s,%s,'%s','%s');",$evote_userid,$voteid,$commentid,htmlspecialchars($subject),htmlspecialchars($comment) );
		sqlquery($conn,$comm,"Error en inclusin de comentario");
		printf("<p>Mensaje enviado correctamente</p>\n");
	}

	// marranada para pasar datos de un form al siguiente... lo siento :(
        printf ("<input type=hidden name=\"evote_email\" value=\"%s\">\n",$evote_email);
        printf ("<input type=hidden name=\"evote_userid\" value=\"%s\">\n",$evote_userid);
        printf ("<input type=hidden name=\"evote_passwd\" value=\"%s\">\n",$evote_passwd);
        printf ("<input type=hidden name=\"voteid\" value=\"%s\">\n",$voteid);
	printf ("</form>\n"); 
	db_Close($conn);
?>
<hr>
</ol>
</body>
</html>

